Đến nội dung


Hình ảnh
- - - - -

Lisp hỗ trợ layout rất hữu dụng !!!


  • Please log in to reply
8 replies to this topic

#1 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 25 October 2010 - 03:36 PM

Chào các bác Pro, Ai làm cad cũng phải dùng đến layout, khi mình xoay 1 viewport, cách thường làm là UCS, "E" rùi Plan, Nhưng theo cách đó thì phần đối tượng trong khung viewport sau khi plan nó bị nhảy mất. Mình phải dò tìm và zoom lại với tỷ lệ cũ. Như vậy, tại sao chúng ta không viết 1 lisp để khi ta xoay UCS, thì nó tự động xoay 1 góc A mà ta nhập vào mà không làm thay đổi tỷ lệ Zoom của khung Viewport, ( Nhu vậy việc xoay trong layout cũng giống như là xoay rotate bình thường ) không phải dò tìm lại đối tượng đã bị nhảy. Mong các bác pro quan tâm giúp đỡ.
  • 0
Hoàng Giang

#2 phamvanthiet108

phamvanthiet108

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 25 October 2010 - 03:49 PM

Chào các bác Pro, Ai làm cad cũng phải dùng đến layout, khi mình xoay 1 viewport, cách thường làm là UCS, "E" rùi Plan, Nhưng theo cách đó thì phần đối tượng trong khung viewport sau khi plan nó bị nhảy mất. Mình phải dò tìm và zoom lại với tỷ lệ cũ. Như vậy, tại sao chúng ta không viết 1 lisp để khi ta xoay UCS, thì nó tự động xoay 1 góc A mà ta nhập vào mà không làm thay đổi tỷ lệ Zoom của khung Viewport, ( Nhu vậy việc xoay trong layout cũng giống như là xoay rotate bình thường ) không phải dò tìm lại đối tượng đã bị nhảy. Mong các bác pro quan tâm giúp đỡ.

Em nghi bac chi cần su dung lenh mvsetup la đc mà
  • 0

#3 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 25 October 2010 - 04:39 PM

Em nghi bac chi cần su dung lenh mvsetup la đc mà

Em không rõ dùng như thế nào. Vấn đề thì e đã đưa ra, Nếu bác nào có phương án nào giải quyết được vấn đề thì giải thick tỷ mỉ cho cả nhà đi !
  • 0
Hoàng Giang

#4 nghiautc

nghiautc

    biết lệnh copy

  • Members
  • PipPipPip
  • 112 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 25 October 2010 - 04:43 PM

Em không rõ dùng như thế nào. Vấn đề thì e đã đưa ra, Nếu bác nào có phương án nào giải quyết được vấn đề thì giải thick tỷ mỉ cho cả nhà đi !

Không biết có đúng ý bạn không

(defun c:dv (/ a)
(command "somode" 515 "mspace" "mview" "lock" "off" "all" "")
(setq a (ssget "l")
Goc (getangle "Nhap goc")
Goc (/ Goc 3.1415926535)
Goc (* Goc -180)
)
(prompt "Rotate Angle: ") (command "dview" a "" "tw" goc "")
(command "pspace") (princ)
)
  • 0

#5 phamvanthiet108

phamvanthiet108

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 25 October 2010 - 05:35 PM

Em nghi bac chi cần su dung lenh mvsetup la đc mà

Em cũng gà cad bác làm như sau xem có hợp ý bác không:
Bên layout bác kich dup( để ko mất tỷ lệ ban đầu bạn ko nên dùng chuột giữa ) va gõ lệnh mvsetup sau đó chọn A(align) sau đó bạn chọn rotate và bạn xoay theo hướng nào thì tuỳ bạn
  • 0

#6 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 25 October 2010 - 06:21 PM

Không biết có đúng ý bạn không

(defun c:dv (/ a)
(command "somode" 515 "mspace" "mview" "lock" "off" "all" "")
(setq a (ssget "l")
Goc (getangle "Nhap goc")
Goc (/ Goc 3.1415926535)
Goc (* Goc -180)
)
(prompt "Rotate Angle: ") (command "dview" a "" "tw" goc "")
(command "pspace") (princ)
)

ui. Chuẩn không cần chỉnh. Cảm ơn bác nhiều lắm !
  • 0
Hoàng Giang

#7 khaosat2009

khaosat2009

    biết lệnh offset

  • Members
  • PipPipPip
  • 171 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 28 October 2010 - 11:13 AM

Không biết có đúng ý bạn không

(defun c:dv (/ a)
(command "somode" 515 "mspace" "mview" "lock" "off" "all" "")
(setq a (ssget "l")
Goc (getangle "Nhap goc")
Goc (/ Goc 3.1415926535)
Goc (* Goc -180)
)
(prompt "Rotate Angle: ") (command "dview" a "" "tw" goc "")
(command "pspace") (princ)
)

NHờ anh có thể bổ sung giúp mình các lệnh kèm theo khi dùng trên Layuot nha , như :
1. Lệnh tăng theo tỷ lệ vẽ trên layuot.
2. cắt theo khung.
3. mình có nhiều layuot muốn tắt tùng lớP riêng trên tùng layout.
v.v... trên ...các ứng dụng trên không gian giấy để in.
Mong được anh giúp. Cám ơn
  • 0

#8 nghiautc

nghiautc

    biết lệnh copy

  • Members
  • PipPipPip
  • 112 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 29 October 2010 - 07:41 PM

NHờ anh có thể bổ sung giúp mình các lệnh kèm theo khi dùng trên Layuot nha , như :
1. Lệnh tăng theo tỷ lệ vẽ trên layuot.
2. cắt theo khung.
3. mình có nhiều layuot muốn tắt tùng lớP riêng trên tùng layout.
v.v... trên ...các ứng dụng trên không gian giấy để in.
Mong được anh giúp. Cám ơn


Có 2 diều sau mình muốn chia sẻ:
1. MÌnh chưa hiểu câu hỏi của bạn
2. Mình chỉ là gà viet Lisp thôi mình chỉ cos thể kết hợp các lệnh đơn giản , muốn viết 1 đoạn mất cả ngày,
bạn có thể nêu câu hỏi rõ hơn để các thành viên khac có thể giúp đỡ bạn
  • 0

#9 khaosat2009

khaosat2009

    biết lệnh offset

  • Members
  • PipPipPip
  • 171 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 29 October 2010 - 08:17 PM

Có 2 diều sau mình muốn chia sẻ:
1. MÌnh chưa hiểu câu hỏi của bạn
2. Mình chỉ là gà viet Lisp thôi mình chỉ cos thể kết hợp các lệnh đơn giản , muốn viết 1 đoạn mất cả ngày,
bạn có thể nêu câu hỏi rõ hơn để các thành viên khac có thể giúp đỡ bạn

Ý mình muốn nhờ các bạn giúp cho một líp để ứng dụng trong Layout, như :
. Xoay bản vẽ theo một góc nào đó.
2. Đặt tỉ lệ trên khung nhìn layuot
3. Cắt theo khung nhìn.
Nói tóm lại là những ứng dụng tất cả trên layout đó các bạn
  • 0